Employees

Terminate employee

POST
/api/public/v3/employees/{id}/terminate

Path Parameters

id*integer

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/public/v3/employees/0/terminate" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'effective_from=string&termination_type_id=string&termination_reason_id=string&eligible_for_rehire=string&comment=string'
{  "data": {    "id": 0,    "active": true,    "access": true,    "employee_number": "string",    "full_name": "string",    "first_name": "string",    "middle_name": null,    "last_name": "string",    "email": "string",    "personal_email": null,    "mobile_number": null,    "work_phone_number": null,    "date_of_birth": "string",    "gender": null,    "gender_id": null,    "avatar_url": "string",    "probation_ends_on": null,    "hired_on": "string",    "slack_username": null,    "twitter_username": null,    "facebook_url": null,    "linkedin_url": null,    "position": null,    "job_level": null,    "location": null,    "employment_type": null,    "division": null,    "department": null,    "reporting_to": null,    "job_profile": null,    "direct_reports": null,    "custom_fields": [      null    ],    "created_at": "string",    "updated_at": "string"  }}